import { TypeStepsProps, TypeStepItemProps } from './type';
import './style';
export * from './type';
export declare type StepsProps = TypeStepsProps;
export declare type StepItemProps = TypeStepItemProps;
export declare const StepItem: import("vue/types/vue").ExtendedVue<{
    useGlobalIcon(tdIcon: Record<string, any>): import("../config-provider").IconConfig;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default & {
    t<T>(pattern: T, placement?: import("../config-provider/config-receiver").Placement): string;
} & {
    global: import("../config-provider").StepsConfig;
    classPrefix: string;
    componentName: string;
    installName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
} & import("./step-item").StepItemType, unknown, {
    renderIcon(): any;
    onStepClick(e: MouseEvent): void;
}, {
    current: string | number;
    baseClass: import("../../common.type").ClassName;
    iconClass: import("../../common.type").ClassName;
    canClick: boolean;
}, {
    index: number;
    content: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    default: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    extra: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    icon: boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    status: import("./type").StepStatus;
    title: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    value: string | number;
}> & import("vue").PluginObject<import("vue/types/vue").ExtendedVue<{
    useGlobalIcon(tdIcon: Record<string, any>): import("../config-provider").IconConfig;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default & {
    t<T>(pattern: T, placement?: import("../config-provider/config-receiver").Placement): string;
} & {
    global: import("../config-provider").StepsConfig;
    classPrefix: string;
    componentName: string;
    installName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
} & import("./step-item").StepItemType, unknown, {
    renderIcon(): any;
    onStepClick(e: MouseEvent): void;
}, {
    current: string | number;
    baseClass: import("../../common.type").ClassName;
    iconClass: import("../../common.type").ClassName;
    canClick: boolean;
}, {
    index: number;
    content: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    default: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    extra: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    icon: boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    status: import("./type").StepStatus;
    title: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    value: string | number;
}>>;
export declare const Steps: import("vue/types/vue").ExtendedVue<import("vue").default, {}, {
    updateData(this: any, propName: string, v: any, ...args: any[]): any;
}, {
    _listeners: Record<string, any>;
}, {
    [x: string]: any;
}> & import("vue").PluginObject<import("vue/types/vue").ExtendedVue<import("vue").default, {}, {
    updateData(this: any, propName: string, v: any, ...args: any[]): any;
}, {
    _listeners: Record<string, any>;
}, {
    [x: string]: any;
}>>;
export default Steps;
